<?php

namespace App\Interfaces;

use Illuminate\Support\Collection;

interface ProductItem
{
	/**
	 * Return the traffic inclusion with the service
	 *
	 * @return mixed
	 */
	public function allowance(): Collection;

	/**
	 * Render the traffic inclusion as a string
	 *
	 * @return mixed
	 */
	public function allowance_string(): string;

	/**
	 * Does this offering capture usage information
	 *
	 * @return bool
	 */
	public function hasUsage(): bool;
}